---
title: "Get file by ID"
slug: "get-file-by-id"
updated: 2026-04-01T03:43:19Z
published: 2026-04-01T03:43:19Z
canonical: "docs.xendit.co/get-file-by-id"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xendit.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file by ID

Get/files/{file_id}

Make a GET request to this endpoint to get file details

SecurityHTTPType Basic

Path parametersfile_idstringRequired

Unique ID generated by Xendit for the particular file

Responses200

Successful operation

<select class='api-response-data' aria-label='Media type'><option value='2ad12814-1030-4d00-9861-d41c9a1672e7'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='9a93c251-18e8-4d5c-b967-422a197f9526'>getFile</option>
</select>getFile

```json
{
  "id": "file-ec700c1c-db17-4496-b1fb-04ebe551b412",
  "business_id": "ec700c1c-db17-4496-b1fb-04ebe551b412",
  "purpose": "CHARGEBACK_EVIDENCE",
  "created": "2020-10-08T06:38:33.479Z",
  "updated": "2020-10-08T06:38:33.479Z",
  "type": "image/png",
  "size": 10000,
  "url": "https://files.xendit.co/file-ec700c1c-db17-4496-b1fb-04ebe551b412"
}
```

object  idstring    

Unique ID generated by Xendit for the particular file

business_idstring    

Unique ID generated by Xendit for the particular file

purposestring    

Purpose of the file

Valid values[
  "KYC_DOCUMENT",
  "CHARGEBACK_EVIDENCE"
]
createdstring    

UTC Timestamp of file upload in ISO format

updatedstring    

UTC Timestamp of last file update in ISO format

typestring    

Type of the file

sizeinteger    

Size of the file in bytes

urlstring    

URL to download the file

404

The provided `id` does not exist. Please review the `id` and try again

<select class='api-response-data' aria-label='Media type'><option value='9189076f-0130-48db-8910-b2b1f1a392b9'>application/json</option>
</select>object  error_codestring    Valid values[
  "RATE_LIMIT_EXCEEDED"
]
messagestring    
errors Array  OneOfstringstring
objectobject
